> For the complete documentation index, see [llms.txt](https://developer.prodege.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.prodege.com/surveys-feed/api-reference/survey-matching/multiple-survey-eligibility-check.md).

# Multiple Survey Eligibility Check

Option API for checking panelist eligibility for multiple surveys at a time.

### Get Eligibility Status

Check if a panelist is eligible for up to 100 surveys at a time based on survey status, qualifications, and past participation requirements.&#x20;

| Request URL    | /get-multi-project-eligibility                   |
| -------------- | ------------------------------------------------ |
| Request Method | <mark style="background-color:green;">GET</mark> |

#### Request Parameters

<table data-header-hidden><thead><tr><th width="227"></th><th></th><th width="142"></th><th></th></tr></thead><tbody><tr><td><strong>Parameter Name</strong></td><td><strong>Parameter Type</strong></td><td><strong>Required?</strong></td><td><strong>Description</strong></td></tr><tr><td>apik</td><td>String</td><td>Yes</td><td>Key uniquely identifying the supplier</td></tr><tr><td>request_date</td><td>Numeric</td><td>Yes (in milliseconds)</td><td>See <a href="https://www.prodege.com/prodegemrapi/?section=request-expiration-2">authentication</a></td></tr><tr><td>signature</td><td>String</td><td>Yes (see <a href="https://www.prodege.com/prodegemrapi/?section=request-signing-2">here</a>)</td><td>Required to authenticate supplier call</td></tr><tr><td>ip</td><td>String</td><td>Yes</td><td>User’s IP (IPv4 Only)</td></tr><tr><td>useragent</td><td>String</td><td>Yes</td><td>User’s useragent</td></tr><tr><td>vpid</td><td>String</td><td>Yes</td><td>The supplier’s static panelist ID</td></tr><tr><td>multi_project_ids</td><td>Numeric</td><td>Yes</td><td>The project IDs of the surveys you want to check.</td></tr></tbody></table>

#### Response Parameters

| **Parameter Name**          | **Parameter Type** | **Description / Notes**                                                            |
| --------------------------- | ------------------ | ---------------------------------------------------------------------------------- |
| return\_status              | Array              | The return status for this api call                                                |
| invalid\_project\_ids       | Array              | Array of project IDs passed in the request that are not valid (e.g. do not exist). |
| eligible\_project\_ids      | Array              | Array of project IDs passed in the request that are eligible for the user.         |
| not\_eligible\_project\_ids | Array              | Array of project IDs passed in the request that are NOT eligible for the user.     |

#### Example Response

```
{
   "invalid_project_ids":[
      53367
   ],
   "eligible_project_ids":[
      41451781,
      41385241
   ],
   "not_eligible_project_ids":[
      41465001
   ],
   "return_status":{
      "status_id":1,
      "message":[
         "Request Successful"
      ]
   }
}
```
